const API = require("../../lib/API");
const { BaseStdResponse } = require("../../BaseStdResponse");
const config = require("../../config.json");

// 构造网页授权链接
class WXWorkUrl extends API {
    constructor() {
        super();

        this.setMethod("GET");
        this.setPath("/User/WXWorkUrl");
    }

    async onRequest(data, res) {
        // this.setAllowCORS(res);

        const { num, type } = data;

        let redirect;
        if(type === 'login')
            redirect = encodeURIComponent(`https://kq.ctbu.top/#/UserLogin/Stage2?num=${num}`);
        else
            redirect = encodeURIComponent(`https://kq.ctbu.top/#/UpdateInfo/Stage2?num=${num}`);

        const url = `https://login.work.weixin.qq.com/wwlogin/sso/login?login_type=CorpApp&appid=${config.wxwork.corpid}&redirect_uri=${redirect}&state=STATE&agentid=${config.wxwork.agentid}`
        return res.json({
            ...BaseStdResponse.OK,
            data: { url: url }
        });
    }
}

module.exports.WXWorkUrl = WXWorkUrl;
